Loading...
Searching...
No Matches
json-pod.h File Reference
SPA » Utilities » JSON to POD

spa/utils/json-pod.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_JSON_POD static inline

## Functions

SPA_API_JSON_POD int | spa_json_to_pod_part (struct spa_pod_builder *b, uint32_t flags, uint32_t id, const struct spa_type_info *info, struct spa_json *iter, const char *value, int len)
SPA_API_JSON_POD int | spa_json_to_pod_checked (struct spa_pod_builder *b, uint32_t flags, const struct spa_type_info *info, const char *value, int len, struct spa_error_location *loc)
SPA_API_JSON_POD int | spa_json_to_pod (struct spa_pod_builder *b, uint32_t flags, const struct spa_type_info *info, const char *value, int len)

## Detailed Description

spa/utils/json-pod.h

## Macro Definition Documentation

## SPA_API_JSON_POD

#define SPA_API_JSON_POD static inline